This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Clusters

1 - 1.3

get /v1/clusters

Description

get clusters list

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Cluster Name
Example : sample-cluster
any of [string, null]None
querystatus
optional
Cluster Status
Example : RUNNING
any of [array[string], string, null]None
querykubernetes_version
optional
Cluster Version
Example : v1.29.8
any of [array[string], string, null]None
querysubnet_id
optional
Cluster Subnet ID
Example : 023c57b14f11483689338d085e061492
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKClusterListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = ske 1.3"

Example HTTP response

Response 200

{
    "clusters": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-03-31T00:23:17Z",
            "id": "70a599e031e749b7b260868f441e862b",
            "kubernetes_version": "v1.29.8",
            "modified_at": "2025-06-31T00:23:17Z",
            "name": "sample-cluster",
            "node_count": "5",
            "status": "RUNNING",
            "subnet_id": "023c57b14f11483689338d085e061492"
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

2 - 1.2

get /v1/clusters

Description

get clusters list

State ACTIVE (SUPPORTED)

VersionNot Before
1.220261014

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Cluster Name
Example : sample-cluster
any of [string, null]None
querystatus
optional
Cluster Status
Example : RUNNING
any of [array[string], string, null]None
querykubernetes_version
optional
Cluster Version
Example : v1.29.8
any of [array[string], string, null]None
querysubnet_id
optional
Cluster Subnet ID
Example : 023c57b14f11483689338d085e061492
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKClusterListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = ske 1.2"

Example HTTP response

Response 200

{
    "clusters": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-03-31T00:23:17Z",
            "id": "70a599e031e749b7b260868f441e862b",
            "kubernetes_version": "v1.29.8",
            "modified_at": "2025-06-31T00:23:17Z",
            "name": "sample-cluster",
            "node_count": "5",
            "status": "RUNNING",
            "subnet_id": "023c57b14f11483689338d085e061492"
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

3 - 1.1

get /v1/clusters

Description

get clusters list

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260919

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Cluster Name
Example : sample-cluster
any of [string, null]None
querystatus
optional
Cluster Status
Example : RUNNING
any of [array[string], string, null]None
querykubernetes_version
optional
Cluster Version
Example : v1.29.8
any of [array[string], string, null]None
querysubnet_id
optional
Cluster Subnet ID
Example : 023c57b14f11483689338d085e061492
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKClusterListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = ske 1.1"

Example HTTP response

Response 200

{
    "clusters": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-03-31T00:23:17Z",
            "id": "70a599e031e749b7b260868f441e862b",
            "kubernetes_version": "v1.29.8",
            "modified_at": "2025-06-31T00:23:17Z",
            "name": "sample-cluster",
            "node_count": "5",
            "status": "RUNNING",
            "subnet_id": "023c57b14f11483689338d085e061492"
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

4 - 1.0

get /v1/clusters

Description

get clusters list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Cluster Name
Example : sample-cluster
any of [string, null]None
querystatus
optional
Cluster Status
Example : RUNNING
any of [array[string], string, null]None
querykubernetes_version
optional
Cluster Version
Example : v1.29.8
any of [array[string], string, null]None
querysubnet_id
optional
Cluster Subnet ID
Example : 023c57b14f11483689338d085e061492
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKClusterListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = ske 1.0"

Example HTTP response

Response 200

{
    "clusters": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-03-31T00:23:17Z",
            "id": "70a599e031e749b7b260868f441e862b",
            "kubernetes_version": "v1.29.8",
            "modified_at": "2025-06-31T00:23:17Z",
            "name": "sample-cluster",
            "node_count": "5",
            "status": "RUNNING",
            "subnet_id": "023c57b14f11483689338d085e061492"
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}